Provisioning State
Gets the provisioning state information (DEPRECATED: Use GET /api/v1/state/connections instead)
The bearer token can be obtained by creating a ServiceAccount.
The request input was invalid
Authentication error
The purchased Lenses license does not provide access to this feature
Authorisation error
The requested resource cannot be found
An internal server error has occurred
GET /api/v1/environments/{environment}/proxy/api/v1/state HTTP/1.1
Host: api.example.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"connections": {
"ANY_ADDITIONAL_PROPERTY": [
{
"name": "text",
"version": 1,
"tags": [
"text"
]
}
]
}
}Gets the raw provisioning.yaml file contents
The bearer token can be obtained by creating a ServiceAccount.
YAML manifest describing the desired connection state of the agent. Top-level keys group connections by kind; each item describes a single connection. Properties may be supplied inline (value), as a reference to another connection (reference), or as a path to an attached file (file).
The request input was invalid
Authentication error
The purchased Lenses license does not provide access to this feature
Authorisation error
The requested resource cannot be found
An internal server error has occurred
GET /api/v1/environments/{environment}/proxy/api/v1/state/connections HTTP/1.1
Host: api.example.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
kafka:
- name: text
version: 1
tags:
- text
editorTag: text
configuration:
kafkaBootstrapServers:
value:
- text
protocol:
value: PLAINTEXT
sslKeystore:
file: text
sslKeystorePassword:
value: password
sslKeyPassword:
value: password
sslTruststore:
file: text
sslTruststorePassword:
value: password
saslMechanism:
value: text
saslJaasConfig:
value: password
keytab:
file: text
additionalProperties:
value:
ANY_ADDITIONAL_PROPERTY: text
metricsType:
value: AWS
metricsPort:
value: 1
metricsSsl:
value: true
metricsUsername:
value: text
metricsPassword:
value: password
metricsHttpSuffix:
value: text
metricsHttpTimeout:
value: 1
metricsCustomUrlMappings:
value:
ANY_ADDITIONAL_PROPERTY: text
metricsCustomPortMappings:
value:
ANY_ADDITIONAL_PROPERTY: text
metricsRateLimitingMaxRetries:
value: 1
metricsRateLimitingBackoff:
value: 1
kafkaConnectivityTimeout:
value: 1
confluentSchemaRegistry:
- name: text
version: 1
tags:
- text
editorTag: text
configuration:
schemaRegistryUrls:
value:
- text
username:
value: text
password:
value: text
sslKeystore:
file: text
sslKeystorePassword:
value: password
sslKeyPassword:
value: password
sslTruststore:
file: text
sslTruststorePassword:
value: password
additionalProperties:
value:
ANY_ADDITIONAL_PROPERTY: text
metricsType:
value: JMX
metricsPort:
value: 1
metricsSsl:
value: true
metricsUsername:
value: text
metricsPassword:
value: password
metricsHttpSuffix:
value: text
metricsHttpTimeout:
value: 1
metricsCustomUrlMappings:
value:
ANY_ADDITIONAL_PROPERTY: text
metricsCustomPortMappings:
value:
ANY_ADDITIONAL_PROPERTY: text
hardDelete:
value: true
metricsRateLimitingMaxRetries:
value: 1
metricsRateLimitingBackoff:
value: 1
glueSchemaRegistry:
- name: text
version: 1
tags:
- text
editorTag: text
configuration:
glueRegistryArn:
value: text
glueRegistryCacheTtl:
value: 1
glueRegistryCacheSize:
value: 1
glueRegistryDefaultCompatibility:
value: BACKWARD
connect:
- name: text
version: 1
tags:
- text
editorTag: text
configuration:
workers:
value:
- text
aes256Key:
value: password
username:
value: text
password:
value: text
sslKeystore:
file: text
sslKeystorePassword:
value: password
sslKeyPassword:
value: password
sslTruststore:
file: text
sslTruststorePassword:
value: password
sslAlgorithm:
value: text
metricsType:
value: JMX
metricsPort:
value: 1
metricsSsl:
value: true
metricsUsername:
value: text
metricsPassword:
value: password
metricsHttpSuffix:
value: text
metricsHttpTimeout:
value: 1
metricsCustomUrlMappings:
value:
ANY_ADDITIONAL_PROPERTY: text
metricsCustomPortMappings:
value:
ANY_ADDITIONAL_PROPERTY: text
metricsRateLimitingMaxRetries:
value: 1
metricsRateLimitingBackoff:
value: 1
zookeeper:
- name: text
version: 1
tags:
- text
editorTag: text
configuration:
zookeeperUrls:
value:
- text
zookeeperChrootPath:
value: text
zookeeperSessionTimeout:
value: 1
zookeeperConnectionTimeout:
value: 1
metricsType:
value: JMX
metricsPort:
value: 1
metricsUsername:
value: text
metricsPassword:
value: password
metricsSsl:
value: true
metricsHttpSuffix:
value: text
metricsHttpTimeout:
value: 1
metricsCustomUrlMappings:
value:
ANY_ADDITIONAL_PROPERTY: text
metricsCustomPortMappings:
value:
ANY_ADDITIONAL_PROPERTY: text
metricsRateLimitingMaxRetries:
value: 1
metricsRateLimitingBackoff:
value: 1
kerberos:
- name: text
version: 1
tags:
- text
editorTag: text
configuration:
kerberosKrb5:
value: text
aws:
- name: text
version: 1
tags:
- text
editorTag: text
configuration:
accessKeyId:
value: password
secretAccessKey:
value: password
region:
value: text
sessionToken:
value: password
authMode:
value: Access Key
assumeRoleArn:
value: text
assumeRoleSessionName:
value: text
postgres:
- name: text
version: 1
tags:
- text
editorTag: text
configuration:
host:
value: text
port:
value: 1
database:
value: text
username:
value: text
password:
value: password
sslMode:
value: disable
alertManager:
- name: text
version: 1
tags:
- text
editorTag: text
configuration:
source:
value: text
generator-url:
value: text
ssl:
value: true
publish-interval:
value: 1
http-connect-timeout:
value: 1
http-request-timeout:
value: 1
http-socket-timeout:
value: 1
webhook:
- name: text
version: 1
tags:
- text
editorTag: text
configuration:
method:
value: POST
path:
value: text
headers:
value:
- text
body:
value: text
insecure:
value: true
slack:
- name: text
version: 1
tags:
- text
editorTag: text
configuration:
username:
value: text
channel:
value: text
icon-url:
value: text
pagerDuty:
- name: text
version: 1
tags:
- text
editorTag: text
configuration: {}
datadog:
- name: text
version: 1
tags:
- text
editorTag: text
configuration: {}
splunk:
- name: text
version: 1
tags:
- text
editorTag: text
configuration:
source:
value: text
lensesHq:
- name: text
version: 1
tags:
- text
editorTag: text
configuration:
server:
value: text
port:
value: 1
agentKey:
value: password
maxBackOffInterval:
value: 1
isShutDownInterval:
value: 1
connectTimeout:
value: 1
maxJitterWindowMilliseconds:
value: 1
sslEnabled:
value: true
sslEnabledProtocols:
value: text
algorithm:
value: text
cipherSuites:
value: text
panoptes.sslKeystore:
file: text
panoptes.sslKeystorePassword:
value: password
panoptes.sslKeyPassword:
value: password
panoptes.sslTruststorePassword:
value: password
panoptes.sslTruststore:
file: text
panoptes.sslAlgorithm:
value: text
sslKeystore:
file: text
sslKeystorePassword:
value: password
sslKeyPassword:
value: password
sslTruststorePassword:
value: password
sslTruststore:
file: text
Uploads a complete provisioning manifest as YAML along with referenced files to the configured scanner folder. This replaces the entire connection state - any existing connections not in the manifest will be deleted. If no 'lensesHq' section is provided in the manifest, the existing HQ connection will be automatically preserved.
The bearer token can be obtained by creating a ServiceAccount.
Optional file part(s) referenced from the manifest by their multipart name (e.g. SSL keystores, kerberos keytabs).
The request input was invalid
Authentication error
The purchased Lenses license does not provide access to this feature
Authorisation error
The requested resource cannot be found
The supplied identifier is already being used by another resource
An internal server error has occurred
POST /api/v1/environments/{environment}/proxy/api/v1/state/connections/upload HTTP/1.1
Host: api.example.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: multipart/form-data
Accept: */*
Content-Length: 6495
{
"provisioning": {
"kafka": [
{
"name": "text",
"version": 1,
"tags": [
"text"
],
"editorTag": "text",
"configuration": {
"kafkaBootstrapServers": {
"value": [
"text"
]
},
"protocol": {
"value": "PLAINTEXT"
},
"sslKeystore": {
"file": "text"
},
"sslKeystorePassword": {
"value": "password"
},
"sslKeyPassword": {
"value": "password"
},
"sslTruststore": {
"file": "text"
},
"sslTruststorePassword": {
"value": "password"
},
"saslMechanism": {
"value": "text"
},
"saslJaasConfig": {
"value": "password"
},
"keytab": {
"file": "text"
},
"additionalProperties": {
"value": {
"ANY_ADDITIONAL_PROPERTY": "text"
}
},
"metricsType": {
"value": "AWS"
},
"metricsPort": {
"value": 1
},
"metricsSsl": {
"value": true
},
"metricsUsername": {
"value": "text"
},
"metricsPassword": {
"value": "password"
},
"metricsHttpSuffix": {
"value": "text"
},
"metricsHttpTimeout": {
"value": 1
},
"metricsCustomUrlMappings": {
"value": {
"ANY_ADDITIONAL_PROPERTY": "text"
}
},
"metricsCustomPortMappings": {
"value": {
"ANY_ADDITIONAL_PROPERTY": "text"
}
},
"metricsRateLimitingMaxRetries": {
"value": 1
},
"metricsRateLimitingBackoff": {
"value": 1
},
"kafkaConnectivityTimeout": {
"value": 1
}
}
}
],
"confluentSchemaRegistry": [
{
"name": "text",
"version": 1,
"tags": [
"text"
],
"editorTag": "text",
"configuration": {
"schemaRegistryUrls": {
"value": [
"text"
]
},
"username": {
"value": "text"
},
"password": {
"value": "text"
},
"sslKeystore": {
"file": "text"
},
"sslKeystorePassword": {
"value": "password"
},
"sslKeyPassword": {
"value": "password"
},
"sslTruststore": {
"file": "text"
},
"sslTruststorePassword": {
"value": "password"
},
"additionalProperties": {
"value": {
"ANY_ADDITIONAL_PROPERTY": "text"
}
},
"metricsType": {
"value": "JMX"
},
"metricsPort": {
"value": 1
},
"metricsSsl": {
"value": true
},
"metricsUsername": {
"value": "text"
},
"metricsPassword": {
"value": "password"
},
"metricsHttpSuffix": {
"value": "text"
},
"metricsHttpTimeout": {
"value": 1
},
"metricsCustomUrlMappings": {
"value": {
"ANY_ADDITIONAL_PROPERTY": "text"
}
},
"metricsCustomPortMappings": {
"value": {
"ANY_ADDITIONAL_PROPERTY": "text"
}
},
"hardDelete": {
"value": true
},
"metricsRateLimitingMaxRetries": {
"value": 1
},
"metricsRateLimitingBackoff": {
"value": 1
}
}
}
],
"glueSchemaRegistry": [
{
"name": "text",
"version": 1,
"tags": [
"text"
],
"editorTag": "text",
"configuration": {
"glueRegistryArn": {
"value": "text"
},
"glueRegistryCacheTtl": {
"value": 1
},
"glueRegistryCacheSize": {
"value": 1
},
"glueRegistryDefaultCompatibility": {
"value": "BACKWARD"
}
}
}
],
"connect": [
{
"name": "text",
"version": 1,
"tags": [
"text"
],
"editorTag": "text",
"configuration": {
"workers": {
"value": [
"text"
]
},
"aes256Key": {
"value": "password"
},
"username": {
"value": "text"
},
"password": {
"value": "text"
},
"sslKeystore": {
"file": "text"
},
"sslKeystorePassword": {
"value": "password"
},
"sslKeyPassword": {
"value": "password"
},
"sslTruststore": {
"file": "text"
},
"sslTruststorePassword": {
"value": "password"
},
"sslAlgorithm": {
"value": "text"
},
"metricsType": {
"value": "JMX"
},
"metricsPort": {
"value": 1
},
"metricsSsl": {
"value": true
},
"metricsUsername": {
"value": "text"
},
"metricsPassword": {
"value": "password"
},
"metricsHttpSuffix": {
"value": "text"
},
"metricsHttpTimeout": {
"value": 1
},
"metricsCustomUrlMappings": {
"value": {
"ANY_ADDITIONAL_PROPERTY": "text"
}
},
"metricsCustomPortMappings": {
"value": {
"ANY_ADDITIONAL_PROPERTY": "text"
}
},
"metricsRateLimitingMaxRetries": {
"value": 1
},
"metricsRateLimitingBackoff": {
"value": 1
}
}
}
],
"zookeeper": [
{
"name": "text",
"version": 1,
"tags": [
"text"
],
"editorTag": "text",
"configuration": {
"zookeeperUrls": {
"value": [
"text"
]
},
"zookeeperChrootPath": {
"value": "text"
},
"zookeeperSessionTimeout": {
"value": 1
},
"zookeeperConnectionTimeout": {
"value": 1
},
"metricsType": {
"value": "JMX"
},
"metricsPort": {
"value": 1
},
"metricsUsername": {
"value": "text"
},
"metricsPassword": {
"value": "password"
},
"metricsSsl": {
"value": true
},
"metricsHttpSuffix": {
"value": "text"
},
"metricsHttpTimeout": {
"value": 1
},
"metricsCustomUrlMappings": {
"value": {
"ANY_ADDITIONAL_PROPERTY": "text"
}
},
"metricsCustomPortMappings": {
"value": {
"ANY_ADDITIONAL_PROPERTY": "text"
}
},
"metricsRateLimitingMaxRetries": {
"value": 1
},
"metricsRateLimitingBackoff": {
"value": 1
}
}
}
],
"kerberos": [
{
"name": "text",
"version": 1,
"tags": [
"text"
],
"editorTag": "text",
"configuration": {
"kerberosKrb5": {
"value": "text"
}
}
}
],
"aws": [
{
"name": "text",
"version": 1,
"tags": [
"text"
],
"editorTag": "text",
"configuration": {
"accessKeyId": {
"value": "password"
},
"secretAccessKey": {
"value": "password"
},
"region": {
"value": "text"
},
"sessionToken": {
"value": "password"
},
"authMode": {
"value": "Access Key"
},
"assumeRoleArn": {
"value": "text"
},
"assumeRoleSessionName": {
"value": "text"
}
}
}
],
"postgres": [
{
"name": "text",
"version": 1,
"tags": [
"text"
],
"editorTag": "text",
"configuration": {
"host": {
"value": "text"
},
"port": {
"value": 1
},
"database": {
"value": "text"
},
"username": {
"value": "text"
},
"password": {
"value": "password"
},
"sslMode": {
"value": "disable"
}
}
}
],
"alertManager": [
{
"name": "text",
"version": 1,
"tags": [
"text"
],
"editorTag": "text",
"configuration": {
"source": {
"value": "text"
},
"generator-url": {
"value": "text"
},
"ssl": {
"value": true
},
"publish-interval": {
"value": 1
},
"http-connect-timeout": {
"value": 1
},
"http-request-timeout": {
"value": 1
},
"http-socket-timeout": {
"value": 1
}
}
}
],
"webhook": [
{
"name": "text",
"version": 1,
"tags": [
"text"
],
"editorTag": "text",
"configuration": {
"method": {
"value": "POST"
},
"path": {
"value": "text"
},
"headers": {
"value": [
"text"
]
},
"body": {
"value": "text"
},
"insecure": {
"value": true
}
}
}
],
"slack": [
{
"name": "text",
"version": 1,
"tags": [
"text"
],
"editorTag": "text",
"configuration": {
"username": {
"value": "text"
},
"channel": {
"value": "text"
},
"icon-url": {
"value": "text"
}
}
}
],
"pagerDuty": [
{
"name": "text",
"version": 1,
"tags": [
"text"
],
"editorTag": "text",
"configuration": {}
}
],
"datadog": [
{
"name": "text",
"version": 1,
"tags": [
"text"
],
"editorTag": "text",
"configuration": {}
}
],
"splunk": [
{
"name": "text",
"version": 1,
"tags": [
"text"
],
"editorTag": "text",
"configuration": {
"source": {
"value": "text"
}
}
}
],
"lensesHq": [
{
"name": "text",
"version": 1,
"tags": [
"text"
],
"editorTag": "text",
"configuration": {
"server": {
"value": "text"
},
"port": {
"value": 1
},
"agentKey": {
"value": "password"
},
"maxBackOffInterval": {
"value": 1
},
"isShutDownInterval": {
"value": 1
},
"connectTimeout": {
"value": 1
},
"maxJitterWindowMilliseconds": {
"value": 1
},
"sslEnabled": {
"value": true
},
"sslEnabledProtocols": {
"value": "text"
},
"algorithm": {
"value": "text"
},
"cipherSuites": {
"value": "text"
},
"panoptes.sslKeystore": {
"file": "text"
},
"panoptes.sslKeystorePassword": {
"value": "password"
},
"panoptes.sslKeyPassword": {
"value": "password"
},
"panoptes.sslTruststorePassword": {
"value": "password"
},
"panoptes.sslTruststore": {
"file": "text"
},
"panoptes.sslAlgorithm": {
"value": "text"
},
"sslKeystore": {
"file": "text"
},
"sslKeystorePassword": {
"value": "password"
},
"sslKeyPassword": {
"value": "password"
},
"sslTruststorePassword": {
"value": "password"
},
"sslTruststore": {
"file": "text"
}
}
}
]
},
"attachedFile": "binary"
}{
"valid": true,
"message": "text",
"connections": [
{
"name": "text",
"valid": true,
"error": "text",
"lineNumbers": [
1
],
"fieldPaths": [
"text"
]
}
],
"summary": {
"created": [
"text"
],
"updated": [
"text"
],
"deleted": [
"text"
]
}
}Validates a provisioning manifest with uploaded files without applying changes. Uses full upload validation (replaces entire state).
The bearer token can be obtained by creating a ServiceAccount.
Optional file part(s) referenced from the manifest by their multipart name (e.g. SSL keystores, kerberos keytabs).
The request input was invalid
Authentication error
The purchased Lenses license does not provide access to this feature
Authorisation error
The requested resource cannot be found
An internal server error has occurred
POST /api/v1/environments/{environment}/proxy/api/v1/state/connections/validate/upload HTTP/1.1
Host: api.example.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: multipart/form-data
Accept: */*
Content-Length: 6495
{
"provisioning": {
"kafka": [
{
"name": "text",
"version": 1,
"tags": [
"text"
],
"editorTag": "text",
"configuration": {
"kafkaBootstrapServers": {
"value": [
"text"
]
},
"protocol": {
"value": "PLAINTEXT"
},
"sslKeystore": {
"file": "text"
},
"sslKeystorePassword": {
"value": "password"
},
"sslKeyPassword": {
"value": "password"
},
"sslTruststore": {
"file": "text"
},
"sslTruststorePassword": {
"value": "password"
},
"saslMechanism": {
"value": "text"
},
"saslJaasConfig": {
"value": "password"
},
"keytab": {
"file": "text"
},
"additionalProperties": {
"value": {
"ANY_ADDITIONAL_PROPERTY": "text"
}
},
"metricsType": {
"value": "AWS"
},
"metricsPort": {
"value": 1
},
"metricsSsl": {
"value": true
},
"metricsUsername": {
"value": "text"
},
"metricsPassword": {
"value": "password"
},
"metricsHttpSuffix": {
"value": "text"
},
"metricsHttpTimeout": {
"value": 1
},
"metricsCustomUrlMappings": {
"value": {
"ANY_ADDITIONAL_PROPERTY": "text"
}
},
"metricsCustomPortMappings": {
"value": {
"ANY_ADDITIONAL_PROPERTY": "text"
}
},
"metricsRateLimitingMaxRetries": {
"value": 1
},
"metricsRateLimitingBackoff": {
"value": 1
},
"kafkaConnectivityTimeout": {
"value": 1
}
}
}
],
"confluentSchemaRegistry": [
{
"name": "text",
"version": 1,
"tags": [
"text"
],
"editorTag": "text",
"configuration": {
"schemaRegistryUrls": {
"value": [
"text"
]
},
"username": {
"value": "text"
},
"password": {
"value": "text"
},
"sslKeystore": {
"file": "text"
},
"sslKeystorePassword": {
"value": "password"
},
"sslKeyPassword": {
"value": "password"
},
"sslTruststore": {
"file": "text"
},
"sslTruststorePassword": {
"value": "password"
},
"additionalProperties": {
"value": {
"ANY_ADDITIONAL_PROPERTY": "text"
}
},
"metricsType": {
"value": "JMX"
},
"metricsPort": {
"value": 1
},
"metricsSsl": {
"value": true
},
"metricsUsername": {
"value": "text"
},
"metricsPassword": {
"value": "password"
},
"metricsHttpSuffix": {
"value": "text"
},
"metricsHttpTimeout": {
"value": 1
},
"metricsCustomUrlMappings": {
"value": {
"ANY_ADDITIONAL_PROPERTY": "text"
}
},
"metricsCustomPortMappings": {
"value": {
"ANY_ADDITIONAL_PROPERTY": "text"
}
},
"hardDelete": {
"value": true
},
"metricsRateLimitingMaxRetries": {
"value": 1
},
"metricsRateLimitingBackoff": {
"value": 1
}
}
}
],
"glueSchemaRegistry": [
{
"name": "text",
"version": 1,
"tags": [
"text"
],
"editorTag": "text",
"configuration": {
"glueRegistryArn": {
"value": "text"
},
"glueRegistryCacheTtl": {
"value": 1
},
"glueRegistryCacheSize": {
"value": 1
},
"glueRegistryDefaultCompatibility": {
"value": "BACKWARD"
}
}
}
],
"connect": [
{
"name": "text",
"version": 1,
"tags": [
"text"
],
"editorTag": "text",
"configuration": {
"workers": {
"value": [
"text"
]
},
"aes256Key": {
"value": "password"
},
"username": {
"value": "text"
},
"password": {
"value": "text"
},
"sslKeystore": {
"file": "text"
},
"sslKeystorePassword": {
"value": "password"
},
"sslKeyPassword": {
"value": "password"
},
"sslTruststore": {
"file": "text"
},
"sslTruststorePassword": {
"value": "password"
},
"sslAlgorithm": {
"value": "text"
},
"metricsType": {
"value": "JMX"
},
"metricsPort": {
"value": 1
},
"metricsSsl": {
"value": true
},
"metricsUsername": {
"value": "text"
},
"metricsPassword": {
"value": "password"
},
"metricsHttpSuffix": {
"value": "text"
},
"metricsHttpTimeout": {
"value": 1
},
"metricsCustomUrlMappings": {
"value": {
"ANY_ADDITIONAL_PROPERTY": "text"
}
},
"metricsCustomPortMappings": {
"value": {
"ANY_ADDITIONAL_PROPERTY": "text"
}
},
"metricsRateLimitingMaxRetries": {
"value": 1
},
"metricsRateLimitingBackoff": {
"value": 1
}
}
}
],
"zookeeper": [
{
"name": "text",
"version": 1,
"tags": [
"text"
],
"editorTag": "text",
"configuration": {
"zookeeperUrls": {
"value": [
"text"
]
},
"zookeeperChrootPath": {
"value": "text"
},
"zookeeperSessionTimeout": {
"value": 1
},
"zookeeperConnectionTimeout": {
"value": 1
},
"metricsType": {
"value": "JMX"
},
"metricsPort": {
"value": 1
},
"metricsUsername": {
"value": "text"
},
"metricsPassword": {
"value": "password"
},
"metricsSsl": {
"value": true
},
"metricsHttpSuffix": {
"value": "text"
},
"metricsHttpTimeout": {
"value": 1
},
"metricsCustomUrlMappings": {
"value": {
"ANY_ADDITIONAL_PROPERTY": "text"
}
},
"metricsCustomPortMappings": {
"value": {
"ANY_ADDITIONAL_PROPERTY": "text"
}
},
"metricsRateLimitingMaxRetries": {
"value": 1
},
"metricsRateLimitingBackoff": {
"value": 1
}
}
}
],
"kerberos": [
{
"name": "text",
"version": 1,
"tags": [
"text"
],
"editorTag": "text",
"configuration": {
"kerberosKrb5": {
"value": "text"
}
}
}
],
"aws": [
{
"name": "text",
"version": 1,
"tags": [
"text"
],
"editorTag": "text",
"configuration": {
"accessKeyId": {
"value": "password"
},
"secretAccessKey": {
"value": "password"
},
"region": {
"value": "text"
},
"sessionToken": {
"value": "password"
},
"authMode": {
"value": "Access Key"
},
"assumeRoleArn": {
"value": "text"
},
"assumeRoleSessionName": {
"value": "text"
}
}
}
],
"postgres": [
{
"name": "text",
"version": 1,
"tags": [
"text"
],
"editorTag": "text",
"configuration": {
"host": {
"value": "text"
},
"port": {
"value": 1
},
"database": {
"value": "text"
},
"username": {
"value": "text"
},
"password": {
"value": "password"
},
"sslMode": {
"value": "disable"
}
}
}
],
"alertManager": [
{
"name": "text",
"version": 1,
"tags": [
"text"
],
"editorTag": "text",
"configuration": {
"source": {
"value": "text"
},
"generator-url": {
"value": "text"
},
"ssl": {
"value": true
},
"publish-interval": {
"value": 1
},
"http-connect-timeout": {
"value": 1
},
"http-request-timeout": {
"value": 1
},
"http-socket-timeout": {
"value": 1
}
}
}
],
"webhook": [
{
"name": "text",
"version": 1,
"tags": [
"text"
],
"editorTag": "text",
"configuration": {
"method": {
"value": "POST"
},
"path": {
"value": "text"
},
"headers": {
"value": [
"text"
]
},
"body": {
"value": "text"
},
"insecure": {
"value": true
}
}
}
],
"slack": [
{
"name": "text",
"version": 1,
"tags": [
"text"
],
"editorTag": "text",
"configuration": {
"username": {
"value": "text"
},
"channel": {
"value": "text"
},
"icon-url": {
"value": "text"
}
}
}
],
"pagerDuty": [
{
"name": "text",
"version": 1,
"tags": [
"text"
],
"editorTag": "text",
"configuration": {}
}
],
"datadog": [
{
"name": "text",
"version": 1,
"tags": [
"text"
],
"editorTag": "text",
"configuration": {}
}
],
"splunk": [
{
"name": "text",
"version": 1,
"tags": [
"text"
],
"editorTag": "text",
"configuration": {
"source": {
"value": "text"
}
}
}
],
"lensesHq": [
{
"name": "text",
"version": 1,
"tags": [
"text"
],
"editorTag": "text",
"configuration": {
"server": {
"value": "text"
},
"port": {
"value": 1
},
"agentKey": {
"value": "password"
},
"maxBackOffInterval": {
"value": 1
},
"isShutDownInterval": {
"value": 1
},
"connectTimeout": {
"value": 1
},
"maxJitterWindowMilliseconds": {
"value": 1
},
"sslEnabled": {
"value": true
},
"sslEnabledProtocols": {
"value": "text"
},
"algorithm": {
"value": "text"
},
"cipherSuites": {
"value": "text"
},
"panoptes.sslKeystore": {
"file": "text"
},
"panoptes.sslKeystorePassword": {
"value": "password"
},
"panoptes.sslKeyPassword": {
"value": "password"
},
"panoptes.sslTruststorePassword": {
"value": "password"
},
"panoptes.sslTruststore": {
"file": "text"
},
"panoptes.sslAlgorithm": {
"value": "text"
},
"sslKeystore": {
"file": "text"
},
"sslKeystorePassword": {
"value": "password"
},
"sslKeyPassword": {
"value": "password"
},
"sslTruststorePassword": {
"value": "password"
},
"sslTruststore": {
"file": "text"
}
}
}
]
},
"attachedFile": "binary"
}{
"valid": true,
"message": "text",
"connections": [
{
"name": "text",
"valid": true,
"error": "text",
"lineNumbers": [
1
],
"fieldPaths": [
"text"
]
}
],
"summary": {
"created": [
"text"
],
"updated": [
"text"
],
"deleted": [
"text"
]
}
}Last updated
Was this helpful?

